# SignTransactionResponse

\*\* The object returned from signTransaction \*/

## Summary

| Members                                                                                                                                                                                                                                           | Descriptions                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------- |
| `public string?` [`Status`](#class_universal_authenticator_library_1_1_sign_transaction_response_1a114724f167d773bbc29e71c9cf340540)                                                                                                              | The status of the transaction as returned by the RPC API (optional) |
| `public` [`UalError`](/unity-plugin-suite/universalauthenticatorlibrary/api-docs/universalauthenticatorlibrary-ualerror.md) [`UalError`](#class_universal_authenticator_library_1_1_sign_transaction_response_1a715d68e1dff7b84a875cb25aa90ceb5d) | Set if there was an error                                           |
| `public ProcessedTransaction` [`Transaction`](#class_universal_authenticator_library_1_1_sign_transaction_response_1acf01e5eca413450d034210f606b1d9fe)                                                                                            | The raw transaction object                                          |

## Members

**`public string?`** [**`Status`**](#class_universal_authenticator_library_1_1_sign_transaction_response_1a114724f167d773bbc29e71c9cf340540)

The status of the transaction as returned by the RPC API (optional)

**`public`** [**`UalError`**](/unity-plugin-suite/universalauthenticatorlibrary/api-docs/universalauthenticatorlibrary-ualerror.md) [**`UalError`**](#class_universal_authenticator_library_1_1_sign_transaction_response_1a715d68e1dff7b84a875cb25aa90ceb5d)

Set if there was an error

**`public ProcessedTransaction`** [**`Transaction`**](#class_universal_authenticator_library_1_1_sign_transaction_response_1acf01e5eca413450d034210f606b1d9fe)

The raw transaction object


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/universalauthenticatorlibrary/api-docs/universalauthenticatorlibrary-signtransactionresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
